List Projects
curl --request GET \
--url https://api.supapost.so/projectsimport requests
url = "https://api.supapost.so/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.supapost.so/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "uuid-1234",
"name": "Morning Routine Carousel",
"type": "slideshow",
"thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg",
"status": "draft",
"created_at": "2026-04-01T12:00:00Z",
"updated_at": "2026-04-07T15:30:00Z"
}
]
Projects
List Projects
List all projects for the authenticated team
GET
/
projects
List Projects
Returns all projects for the current team, sorted by most recently updated.
Authentication
string
Bearer token.
Bearer <supabase-jwt>.Query Parameters
string
Filter projects by type, e.g.
"slideshow".[
{
"id": "uuid-1234",
"name": "Morning Routine Carousel",
"type": "slideshow",
"thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg",
"status": "draft",
"created_at": "2026-04-01T12:00:00Z",
"updated_at": "2026-04-07T15:30:00Z"
}
]
⌘I